Skip to main content

laliga — Core API

81 endpoints on sdv.laliga. Each is exposed under a camelCase canonical name and a snake_case alias (py/R parity), accepts snake_case or camelCase params, and returns raw ESPN JSON by default ({ parsed: true } for tidy rows).

espnLaligaAthleteAwards

LALIGA — athlete awards (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/esp.1/athletes/{athlete_id}/awards

API paramJSrequireddescription
{athlete_id}athlete_idyespath parameter
parsednoreturn tidy rows instead of raw JSON

Returns (with { parsed: true }, via parse_items):

col_nametypedescription
$refcharacterCore v2 $ref URL to the resource

Example:

await sdv.laliga.espnLaligaAthleteAwards({ athlete_id: '…' });
// snake_case alias (py/R parity): sdv.laliga.espn_laliga_athlete_awards(...)

espnLaligaAthleteCareerStats

LALIGA — athlete career stats (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/esp.1/athletes/{athlete_id}/statistics[/{stat_type}]

API paramJSrequireddescription
{athlete_id}athlete_idyespath parameter
{stat_type}stat_typenopath parameter
parsednoreturn tidy rows instead of raw JSON

Returns (with { parsed: true }, via parse_items):

col_nametypedescription
$refcharacterCore v2 $ref URL to the resource

Example:

await sdv.laliga.espnLaligaAthleteCareerStats({ athlete_id: '…' });
// snake_case alias (py/R parity): sdv.laliga.espn_laliga_athlete_career_stats(...)

espnLaligaAthleteContracts

LALIGA — athlete contracts (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/esp.1/athletes/{athlete_id}/contracts

API paramJSrequireddescription
{athlete_id}athlete_idyespath parameter
parsednoreturn tidy rows instead of raw JSON

Returns (with { parsed: true }, via parse_items):

col_nametypedescription
$refcharacterCore v2 $ref URL to the resource

Example:

await sdv.laliga.espnLaligaAthleteContracts({ athlete_id: '…' });
// snake_case alias (py/R parity): sdv.laliga.espn_laliga_athlete_contracts(...)

espnLaligaAthleteCore

LALIGA — athlete core (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/esp.1/athletes/{athlete_id}

API paramJSrequireddescription
{athlete_id}athlete_idyespath parameter
parsednoreturn tidy rows instead of raw JSON

Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.

Example:

await sdv.laliga.espnLaligaAthleteCore({ athlete_id: '…' });
// snake_case alias (py/R parity): sdv.laliga.espn_laliga_athlete_core(...)

espnLaligaAthleteEventlog

LALIGA — athlete eventlog (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/esp.1/athletes/{athlete_id}/eventlog

API paramJSrequireddescription
{athlete_id}athlete_idyespath parameter
parsednoreturn tidy rows instead of raw JSON

Returns (with { parsed: true }, via parse_items):

col_nametypedescription
$refcharacterCore v2 $ref URL to the resource

Example:

await sdv.laliga.espnLaligaAthleteEventlog({ athlete_id: '…' });
// snake_case alias (py/R parity): sdv.laliga.espn_laliga_athlete_eventlog(...)

espnLaligaAthleteInjuries

LALIGA — athlete injuries (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/esp.1/athletes/{athlete_id}/injuries

API paramJSrequireddescription
{athlete_id}athlete_idyespath parameter
parsednoreturn tidy rows instead of raw JSON

Returns (with { parsed: true }, via parse_injuries):

col_nametypedescription
idcharacter
display_namecharacter
injuriescharacter

Example:

await sdv.laliga.espnLaligaAthleteInjuries({ athlete_id: '…' });
// snake_case alias (py/R parity): sdv.laliga.espn_laliga_athlete_injuries(...)

espnLaligaAthleteNotes

LALIGA — athlete notes (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/esp.1/athletes/{athlete_id}/notes

API paramJSrequireddescription
{athlete_id}athlete_idyespath parameter
parsednoreturn tidy rows instead of raw JSON

Returns (with { parsed: true }, via parse_items):

col_nametypedescription
$refcharacterCore v2 $ref URL to the resource

Example:

await sdv.laliga.espnLaligaAthleteNotes({ athlete_id: '…' });
// snake_case alias (py/R parity): sdv.laliga.espn_laliga_athlete_notes(...)

espnLaligaAthleteRecords

LALIGA — athlete records (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/esp.1/athletes/{athlete_id}/records

API paramJSrequireddescription
{athlete_id}athlete_idyespath parameter
parsednoreturn tidy rows instead of raw JSON

Returns (with { parsed: true }, via parse_items):

col_nametypedescription
$refcharacterCore v2 $ref URL to the resource

Example:

await sdv.laliga.espnLaligaAthleteRecords({ athlete_id: '…' });
// snake_case alias (py/R parity): sdv.laliga.espn_laliga_athlete_records(...)

espnLaligaAthleteSeasons

LALIGA — athlete seasons (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/esp.1/athletes/{athlete_id}/seasons

API paramJSrequireddescription
{athlete_id}athlete_idyespath parameter
parsednoreturn tidy rows instead of raw JSON

Returns (with { parsed: true }, via parse_items):

col_nametypedescription
$refcharacterCore v2 $ref URL to the resource

Example:

await sdv.laliga.espnLaligaAthleteSeasons({ athlete_id: '…' });
// snake_case alias (py/R parity): sdv.laliga.espn_laliga_athlete_seasons(...)

espnLaligaAthleteStatisticslog

LALIGA — athlete statisticslog (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/esp.1/athletes/{athlete_id}/statisticslog

API paramJSrequireddescription
{athlete_id}athlete_idyespath parameter
parsednoreturn tidy rows instead of raw JSON

Returns (with { parsed: true }, via parse_items):

col_nametypedescription
$refcharacterCore v2 $ref URL to the resource

Example:

await sdv.laliga.espnLaligaAthleteStatisticslog({ athlete_id: '…' });
// snake_case alias (py/R parity): sdv.laliga.espn_laliga_athlete_statisticslog(...)

espnLaligaAthleteVsAthlete

LALIGA — athlete vs athlete (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/esp.1/athletes/{athlete_id}/vsathlete/{opp_id}

API paramJSrequireddescription
{athlete_id}athlete_idyespath parameter
{opp_id}opp_idyespath parameter
parsednoreturn tidy rows instead of raw JSON

Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.

Example:

await sdv.laliga.espnLaligaAthleteVsAthlete({ athlete_id: '…', opp_id: '…' });
// snake_case alias (py/R parity): sdv.laliga.espn_laliga_athlete_vs_athlete(...)

espnLaligaAthletesIndex

LALIGA — athletes index (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/esp.1/athletes

API paramJSrequireddescription
activeactivenoquery parameter (default true)
limitlimitnoquery parameter (default 100)
pagepagenoquery parameter (default 1)
parsednoreturn tidy rows instead of raw JSON

Returns (with { parsed: true }, via parse_items):

col_nametypedescription
$refcharacterCore v2 $ref URL to the resource

Example:

await sdv.laliga.espnLaligaAthletesIndex({});
// snake_case alias (py/R parity): sdv.laliga.espn_laliga_athletes_index(...)

espnLaligaAward

LALIGA — award (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/esp.1/awards/{award_id}

API paramJSrequireddescription
{award_id}award_idyespath parameter
parsednoreturn tidy rows instead of raw JSON

Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.

Example:

await sdv.laliga.espnLaligaAward({ award_id: '…' });
// snake_case alias (py/R parity): sdv.laliga.espn_laliga_award(...)

espnLaligaAwards

LALIGA — awards (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/esp.1/awards

API paramJSrequireddescription
parsednoreturn tidy rows instead of raw JSON

Returns (with { parsed: true }, via parse_items):

col_nametypedescription
$refcharacterCore v2 $ref URL to the resource

Example:

await sdv.laliga.espnLaligaAwards({});
// snake_case alias (py/R parity): sdv.laliga.espn_laliga_awards(...)

espnLaligaCoach

LALIGA — coach (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/esp.1/coaches/{coach_id}

API paramJSrequireddescription
{coach_id}coach_idyespath parameter
parsednoreturn tidy rows instead of raw JSON

Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.

Example:

await sdv.laliga.espnLaligaCoach({ coach_id: '…' });
// snake_case alias (py/R parity): sdv.laliga.espn_laliga_coach(...)

espnLaligaCoachRecord

LALIGA — coach record (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/esp.1/coaches/{coach_id}/record/{record_type}

API paramJSrequireddescription
{coach_id}coach_idyespath parameter
{record_type}record_typenopath parameter
parsednoreturn tidy rows instead of raw JSON

Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.

Example:

await sdv.laliga.espnLaligaCoachRecord({ coach_id: '…' });
// snake_case alias (py/R parity): sdv.laliga.espn_laliga_coach_record(...)

espnLaligaCoachSeason

LALIGA — coach season (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/esp.1/coaches/{coach_id}/seasons/{season}

API paramJSrequireddescription
{coach_id}coach_idyespath parameter
{season}seasonyespath parameter
parsednoreturn tidy rows instead of raw JSON

Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.

Example:

await sdv.laliga.espnLaligaCoachSeason({ coach_id: '…', season: '…' });
// snake_case alias (py/R parity): sdv.laliga.espn_laliga_coach_season(...)

espnLaligaEvent

LALIGA — event (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/esp.1/events/{event_id}

API paramJSrequireddescription
{event_id}event_idyespath parameter
parsednoreturn tidy rows instead of raw JSON

Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.

Example:

await sdv.laliga.espnLaligaEvent({ event_id: '…' });
// snake_case alias (py/R parity): sdv.laliga.espn_laliga_event(...)

espnLaligaEventBroadcasts

LALIGA — event broadcasts (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/esp.1/events/{event_id}/competitions/{cid}/broadcasts

API paramJSrequireddescription
{event_id}event_idyespath parameter
{cid}cidnopath parameter
parsednoreturn tidy rows instead of raw JSON

Returns (with { parsed: true }, via parse_items):

col_nametypedescription
$refcharacterCore v2 $ref URL to the resource

Example:

await sdv.laliga.espnLaligaEventBroadcasts({ event_id: '…' });
// snake_case alias (py/R parity): sdv.laliga.espn_laliga_event_broadcasts(...)

espnLaligaEventCompetition

LALIGA — event competition (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/esp.1/events/{event_id}/competitions/{cid}

API paramJSrequireddescription
{event_id}event_idyespath parameter
{cid}cidnopath parameter
parsednoreturn tidy rows instead of raw JSON

Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.

Example:

await sdv.laliga.espnLaligaEventCompetition({ event_id: '…' });
// snake_case alias (py/R parity): sdv.laliga.espn_laliga_event_competition(...)

espnLaligaEventCompetitor

LALIGA — event competitor (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/esp.1/events/{event_id}/competitions/{cid}/competitors/{team_id}

API paramJSrequireddescription
{event_id}event_idyespath parameter
{team_id}team_idyespath parameter
{cid}cidnopath parameter
parsednoreturn tidy rows instead of raw JSON

Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.

Example:

await sdv.laliga.espnLaligaEventCompetitor({ event_id: '…', team_id: '…' });
// snake_case alias (py/R parity): sdv.laliga.espn_laliga_event_competitor(...)

espnLaligaEventCompetitorLeaders

LALIGA — event competitor leaders (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/esp.1/events/{event_id}/competitions/{cid}/competitors/{team_id}/leaders

API paramJSrequireddescription
{event_id}event_idyespath parameter
{team_id}team_idyespath parameter
{cid}cidnopath parameter
parsednoreturn tidy rows instead of raw JSON

Returns (with { parsed: true }, via parse_items):

col_nametypedescription
$refcharacterCore v2 $ref URL to the resource

Example:

await sdv.laliga.espnLaligaEventCompetitorLeaders({ event_id: '…', team_id: '…' });
// snake_case alias (py/R parity): sdv.laliga.espn_laliga_event_competitor_leaders(...)

espnLaligaEventCompetitorLinescores

LALIGA — event competitor linescores (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/esp.1/events/{event_id}/competitions/{cid}/competitors/{team_id}/linescores

API paramJSrequireddescription
{event_id}event_idyespath parameter
{team_id}team_idyespath parameter
{cid}cidnopath parameter
parsednoreturn tidy rows instead of raw JSON

Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_event_competitor_linescores); the column set varies by league — see ESPN parsed returns.

Example:

await sdv.laliga.espnLaligaEventCompetitorLinescores({ event_id: '…', team_id: '…' });
// snake_case alias (py/R parity): sdv.laliga.espn_laliga_event_competitor_linescores(...)

espnLaligaEventCompetitorRecord

LALIGA — event competitor record (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/esp.1/events/{event_id}/competitions/{cid}/competitors/{team_id}/record

API paramJSrequireddescription
{event_id}event_idyespath parameter
{team_id}team_idyespath parameter
{cid}cidnopath parameter
parsednoreturn tidy rows instead of raw JSON

Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.

Example:

await sdv.laliga.espnLaligaEventCompetitorRecord({ event_id: '…', team_id: '…' });
// snake_case alias (py/R parity): sdv.laliga.espn_laliga_event_competitor_record(...)

espnLaligaEventCompetitorRoster

LALIGA — event competitor roster (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/esp.1/events/{event_id}/competitions/{cid}/competitors/{team_id}/roster

API paramJSrequireddescription
{event_id}event_idyespath parameter
{team_id}team_idyespath parameter
{cid}cidnopath parameter
parsednoreturn tidy rows instead of raw JSON

Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_event_competitor_roster); the column set varies by league — see ESPN parsed returns.

Example:

await sdv.laliga.espnLaligaEventCompetitorRoster({ event_id: '…', team_id: '…' });
// snake_case alias (py/R parity): sdv.laliga.espn_laliga_event_competitor_roster(...)

espnLaligaEventCompetitorStatistics

LALIGA — event competitor statistics (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/esp.1/events/{event_id}/competitions/{cid}/competitors/{team_id}/statistics

API paramJSrequireddescription
{event_id}event_idyespath parameter
{team_id}team_idyespath parameter
{cid}cidnopath parameter
parsednoreturn tidy rows instead of raw JSON

Returns (with { parsed: true }, via parse_event_competitor_statistics):

col_nametypedescription
split_namecharacterSplit / season-segment name
category_namecharacterStatistic category name
stat_namecharacterStatistic name
stat_abbreviationcharacterStatistic abbreviation
stat_valuenumberNumeric statistic value
stat_display_valuecharacterFormatted statistic value
stat_descriptioncharacterStatistic description

Example:

await sdv.laliga.espnLaligaEventCompetitorStatistics({ event_id: '…', team_id: '…' });
// snake_case alias (py/R parity): sdv.laliga.espn_laliga_event_competitor_statistics(...)

espnLaligaEventCompetitors

LALIGA — event competitors (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/esp.1/events/{event_id}/competitions/{cid}/competitors

API paramJSrequireddescription
{event_id}event_idyespath parameter
{cid}cidnopath parameter
parsednoreturn tidy rows instead of raw JSON

Returns (with { parsed: true }, via parse_items):

col_nametypedescription
$refcharacterCore v2 $ref URL to the resource

Example:

await sdv.laliga.espnLaligaEventCompetitors({ event_id: '…' });
// snake_case alias (py/R parity): sdv.laliga.espn_laliga_event_competitors(...)

espnLaligaEventLeaders

LALIGA — event leaders (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/esp.1/events/{event_id}/competitions/{cid}/leaders

API paramJSrequireddescription
{event_id}event_idyespath parameter
{cid}cidnopath parameter
parsednoreturn tidy rows instead of raw JSON

Returns (with { parsed: true }, via parse_items):

col_nametypedescription
$refcharacterCore v2 $ref URL to the resource

Example:

await sdv.laliga.espnLaligaEventLeaders({ event_id: '…' });
// snake_case alias (py/R parity): sdv.laliga.espn_laliga_event_leaders(...)

espnLaligaEventOdds

LALIGA — event odds (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/esp.1/events/{event_id}/competitions/{cid}/odds

API paramJSrequireddescription
{event_id}event_idyespath parameter
{cid}cidnopath parameter
parsednoreturn tidy rows instead of raw JSON

Returns (with { parsed: true }, via parse_items):

col_nametypedescription
$refcharacterCore v2 $ref URL to the resource

Example:

await sdv.laliga.espnLaligaEventOdds({ event_id: '…' });
// snake_case alias (py/R parity): sdv.laliga.espn_laliga_event_odds(...)

espnLaligaEventOfficialDetail

LALIGA — event official detail (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/esp.1/events/{event_id}/competitions/{cid}/officials/{official_id}

API paramJSrequireddescription
{event_id}event_idyespath parameter
{official_id}official_idyespath parameter
{cid}cidnopath parameter
parsednoreturn tidy rows instead of raw JSON

Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.

Example:

await sdv.laliga.espnLaligaEventOfficialDetail({ event_id: '…', official_id: '…' });
// snake_case alias (py/R parity): sdv.laliga.espn_laliga_event_official_detail(...)

espnLaligaEventOfficials

LALIGA — event officials (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/esp.1/events/{event_id}/competitions/{cid}/officials

API paramJSrequireddescription
{event_id}event_idyespath parameter
{cid}cidnopath parameter
parsednoreturn tidy rows instead of raw JSON

Returns (with { parsed: true }, via parse_items):

col_nametypedescription
$refcharacterCore v2 $ref URL to the resource

Example:

await sdv.laliga.espnLaligaEventOfficials({ event_id: '…' });
// snake_case alias (py/R parity): sdv.laliga.espn_laliga_event_officials(...)

espnLaligaEventPlay

LALIGA — event play (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/esp.1/events/{event_id}/competitions/{cid}/plays/{play_id}

API paramJSrequireddescription
{event_id}event_idyespath parameter
{play_id}play_idyespath parameter
{cid}cidnopath parameter
parsednoreturn tidy rows instead of raw JSON

Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.

Example:

await sdv.laliga.espnLaligaEventPlay({ event_id: '…', play_id: '…' });
// snake_case alias (py/R parity): sdv.laliga.espn_laliga_event_play(...)

espnLaligaEventPlayPersonnel

LALIGA — event play personnel (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/esp.1/events/{event_id}/competitions/{cid}/plays/{play_id}/personnel

API paramJSrequireddescription
{event_id}event_idyespath parameter
{play_id}play_idyespath parameter
{cid}cidnopath parameter
parsednoreturn tidy rows instead of raw JSON

Returns (with { parsed: true }, via parse_items):

col_nametypedescription
$refcharacterCore v2 $ref URL to the resource

Example:

await sdv.laliga.espnLaligaEventPlayPersonnel({ event_id: '…', play_id: '…' });
// snake_case alias (py/R parity): sdv.laliga.espn_laliga_event_play_personnel(...)

espnLaligaEventPlays

LALIGA — event plays (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/esp.1/events/{event_id}/competitions/{cid}/plays

API paramJSrequireddescription
{event_id}event_idyespath parameter
{cid}cidnopath parameter
limitlimitnoquery parameter (default 1000)
parsednoreturn tidy rows instead of raw JSON

Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_event_plays); the column set varies by league — see ESPN parsed returns.

Example:

await sdv.laliga.espnLaligaEventPlays({ event_id: '…' });
// snake_case alias (py/R parity): sdv.laliga.espn_laliga_event_plays(...)

espnLaligaEventPowerindex

LALIGA — event powerindex (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/esp.1/events/{event_id}/competitions/{cid}/powerindex

API paramJSrequireddescription
{event_id}event_idyespath parameter
{cid}cidnopath parameter
parsednoreturn tidy rows instead of raw JSON

Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.

Example:

await sdv.laliga.espnLaligaEventPowerindex({ event_id: '…' });
// snake_case alias (py/R parity): sdv.laliga.espn_laliga_event_powerindex(...)

espnLaligaEventPredictor

LALIGA — event predictor (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/esp.1/events/{event_id}/competitions/{cid}/predictor

API paramJSrequireddescription
{event_id}event_idyespath parameter
{cid}cidnopath parameter
parsednoreturn tidy rows instead of raw JSON

Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.

Example:

await sdv.laliga.espnLaligaEventPredictor({ event_id: '…' });
// snake_case alias (py/R parity): sdv.laliga.espn_laliga_event_predictor(...)

espnLaligaEventProbabilities

LALIGA — event probabilities (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/esp.1/events/{event_id}/competitions/{cid}/probabilities

API paramJSrequireddescription
{event_id}event_idyespath parameter
{cid}cidnopath parameter
limitlimitnoquery parameter (default 300)
parsednoreturn tidy rows instead of raw JSON

Returns (with { parsed: true }, via parse_items):

col_nametypedescription
$refcharacterCore v2 $ref URL to the resource

Example:

await sdv.laliga.espnLaligaEventProbabilities({ event_id: '…' });
// snake_case alias (py/R parity): sdv.laliga.espn_laliga_event_probabilities(...)

espnLaligaEventPropbets

LALIGA — event propbets (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/esp.1/events/{event_id}/competitions/{cid}/propbets

API paramJSrequireddescription
{event_id}event_idyespath parameter
{cid}cidnopath parameter
parsednoreturn tidy rows instead of raw JSON

Returns (with { parsed: true }, via parse_items):

col_nametypedescription
$refcharacterCore v2 $ref URL to the resource

Example:

await sdv.laliga.espnLaligaEventPropbets({ event_id: '…' });
// snake_case alias (py/R parity): sdv.laliga.espn_laliga_event_propbets(...)

espnLaligaEventScoringplays

LALIGA — event scoringplays (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/esp.1/events/{event_id}/competitions/{cid}/scoringplays

API paramJSrequireddescription
{event_id}event_idyespath parameter
{cid}cidnopath parameter
parsednoreturn tidy rows instead of raw JSON

Returns (with { parsed: true }, via parse_items):

col_nametypedescription
$refcharacterCore v2 $ref URL to the resource

Example:

await sdv.laliga.espnLaligaEventScoringplays({ event_id: '…' });
// snake_case alias (py/R parity): sdv.laliga.espn_laliga_event_scoringplays(...)

espnLaligaEventSituation

LALIGA — event situation (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/esp.1/events/{event_id}/competitions/{cid}/situation

API paramJSrequireddescription
{event_id}event_idyespath parameter
{cid}cidnopath parameter
parsednoreturn tidy rows instead of raw JSON

Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.

Example:

await sdv.laliga.espnLaligaEventSituation({ event_id: '…' });
// snake_case alias (py/R parity): sdv.laliga.espn_laliga_event_situation(...)

espnLaligaEventStatus

LALIGA — event status (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/esp.1/events/{event_id}/competitions/{cid}/status

API paramJSrequireddescription
{event_id}event_idyespath parameter
{cid}cidnopath parameter
parsednoreturn tidy rows instead of raw JSON

Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.

Example:

await sdv.laliga.espnLaligaEventStatus({ event_id: '…' });
// snake_case alias (py/R parity): sdv.laliga.espn_laliga_event_status(...)

espnLaligaEvents

LALIGA — events (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/esp.1/events

API paramJSrequireddescription
datesdatesnoquery parameter
limitlimitnoquery parameter (default 500)
parsednoreturn tidy rows instead of raw JSON

Returns (with { parsed: true }, via parse_items):

col_nametypedescription
$refcharacterCore v2 $ref URL to the resource

Example:

await sdv.laliga.espnLaligaEvents({});
// snake_case alias (py/R parity): sdv.laliga.espn_laliga_events(...)

espnLaligaFranchise

LALIGA — franchise (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/esp.1/franchises/{franchise_id}

API paramJSrequireddescription
{franchise_id}franchise_idyespath parameter
parsednoreturn tidy rows instead of raw JSON

Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.

Example:

await sdv.laliga.espnLaligaFranchise({ franchise_id: '…' });
// snake_case alias (py/R parity): sdv.laliga.espn_laliga_franchise(...)

espnLaligaFranchises

LALIGA — franchises (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/esp.1/franchises

API paramJSrequireddescription
limitlimitnoquery parameter (default 200)
parsednoreturn tidy rows instead of raw JSON

Returns (with { parsed: true }, via parse_items):

col_nametypedescription
$refcharacterCore v2 $ref URL to the resource

Example:

await sdv.laliga.espnLaligaFranchises({});
// snake_case alias (py/R parity): sdv.laliga.espn_laliga_franchises(...)

espnLaligaLeadersCore

LALIGA — leaders core (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/esp.1/leaders

API paramJSrequireddescription
parsednoreturn tidy rows instead of raw JSON

Returns (with { parsed: true }, via parse_items):

col_nametypedescription
$refcharacterCore v2 $ref URL to the resource

Example:

await sdv.laliga.espnLaligaLeadersCore({});
// snake_case alias (py/R parity): sdv.laliga.espn_laliga_leaders_core(...)

espnLaligaLeagueNotes

LALIGA — league notes (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/esp.1/notes

API paramJSrequireddescription
parsednoreturn tidy rows instead of raw JSON

Returns (with { parsed: true }, via parse_items):

col_nametypedescription
$refcharacterCore v2 $ref URL to the resource

Example:

await sdv.laliga.espnLaligaLeagueNotes({});
// snake_case alias (py/R parity): sdv.laliga.espn_laliga_league_notes(...)

espnLaligaLeagueRoot

LALIGA — league root (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/esp.1

API paramJSrequireddescription
parsednoreturn tidy rows instead of raw JSON

Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.

Example:

await sdv.laliga.espnLaligaLeagueRoot({});
// snake_case alias (py/R parity): sdv.laliga.espn_laliga_league_root(...)

espnLaligaPosition

LALIGA — position (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/esp.1/positions/{position_id}

API paramJSrequireddescription
{position_id}position_idyespath parameter
parsednoreturn tidy rows instead of raw JSON

Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.

Example:

await sdv.laliga.espnLaligaPosition({ position_id: '…' });
// snake_case alias (py/R parity): sdv.laliga.espn_laliga_position(...)

espnLaligaPositions

LALIGA — positions (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/esp.1/positions

API paramJSrequireddescription
parsednoreturn tidy rows instead of raw JSON

Returns (with { parsed: true }, via parse_items):

col_nametypedescription
$refcharacterCore v2 $ref URL to the resource

Example:

await sdv.laliga.espnLaligaPositions({});
// snake_case alias (py/R parity): sdv.laliga.espn_laliga_positions(...)

espnLaligaSeasonAthletes

LALIGA — season athletes (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/esp.1/seasons/{season}/athletes

API paramJSrequireddescription
{season}seasonyespath parameter
limitlimitnoquery parameter (default 100)
pagepagenoquery parameter (default 1)
parsednoreturn tidy rows instead of raw JSON

Returns (with { parsed: true }, via parse_items):

col_nametypedescription
$refcharacterCore v2 $ref URL to the resource

Example:

await sdv.laliga.espnLaligaSeasonAthletes({ season: '…' });
// snake_case alias (py/R parity): sdv.laliga.espn_laliga_season_athletes(...)

espnLaligaSeasonAwards

LALIGA — season awards (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/esp.1/seasons/{season}/awards

API paramJSrequireddescription
{season}seasonyespath parameter
parsednoreturn tidy rows instead of raw JSON

Returns (with { parsed: true }, via parse_items):

col_nametypedescription
$refcharacterCore v2 $ref URL to the resource

Example:

await sdv.laliga.espnLaligaSeasonAwards({ season: '…' });
// snake_case alias (py/R parity): sdv.laliga.espn_laliga_season_awards(...)

espnLaligaSeasonCoaches

LALIGA — season coaches (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/esp.1/seasons/{season}/coaches

API paramJSrequireddescription
{season}seasonyespath parameter
limitlimitnoquery parameter (default 200)
parsednoreturn tidy rows instead of raw JSON

Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_coaches); the column set varies by league — see ESPN parsed returns.

Example:

await sdv.laliga.espnLaligaSeasonCoaches({ season: '…' });
// snake_case alias (py/R parity): sdv.laliga.espn_laliga_season_coaches(...)

espnLaligaSeasonDraft

LALIGA — season draft (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/esp.1/seasons/{season}/draft

API paramJSrequireddescription
{season}seasonyespath parameter
parsednoreturn tidy rows instead of raw JSON

Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_draft); the column set varies by league — see ESPN parsed returns.

Example:

await sdv.laliga.espnLaligaSeasonDraft({ season: '…' });
// snake_case alias (py/R parity): sdv.laliga.espn_laliga_season_draft(...)

espnLaligaSeasonDraftRoundPicks

LALIGA — season draft round picks (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/esp.1/seasons/{season}/draft/rounds/{round_num}/picks

API paramJSrequireddescription
{season}seasonyespath parameter
{round_num}round_numyespath parameter
parsednoreturn tidy rows instead of raw JSON

Returns (with { parsed: true }, via parse_items):

col_nametypedescription
$refcharacterCore v2 $ref URL to the resource

Example:

await sdv.laliga.espnLaligaSeasonDraftRoundPicks({ season: '…', round_num: '…' });
// snake_case alias (py/R parity): sdv.laliga.espn_laliga_season_draft_round_picks(...)

espnLaligaSeasonFreeagents

LALIGA — season freeagents (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/esp.1/seasons/{season}/freeagents

API paramJSrequireddescription
{season}seasonyespath parameter
parsednoreturn tidy rows instead of raw JSON

Returns (with { parsed: true }, via parse_items):

col_nametypedescription
$refcharacterCore v2 $ref URL to the resource

Example:

await sdv.laliga.espnLaligaSeasonFreeagents({ season: '…' });
// snake_case alias (py/R parity): sdv.laliga.espn_laliga_season_freeagents(...)

espnLaligaSeasonFutures

LALIGA — season futures (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/esp.1/seasons/{season}/futures

API paramJSrequireddescription
{season}seasonyespath parameter
parsednoreturn tidy rows instead of raw JSON

Returns (with { parsed: true }, via parse_items):

col_nametypedescription
$refcharacterCore v2 $ref URL to the resource

Example:

await sdv.laliga.espnLaligaSeasonFutures({ season: '…' });
// snake_case alias (py/R parity): sdv.laliga.espn_laliga_season_futures(...)

espnLaligaSeasonGroup

LALIGA — season group (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/esp.1/seasons/{season}/types/{season_type}/groups/{group_id}

API paramJSrequireddescription
{season}seasonyespath parameter
{season_type}season_typeyespath parameter
{group_id}group_idyespath parameter
parsednoreturn tidy rows instead of raw JSON

Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.

Example:

await sdv.laliga.espnLaligaSeasonGroup({ season: '…', season_type: '…', group_id: '…' });
// snake_case alias (py/R parity): sdv.laliga.espn_laliga_season_group(...)

espnLaligaSeasonGroupChildren

LALIGA — season group children (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/esp.1/seasons/{season}/types/{season_type}/groups/{group_id}/children

API paramJSrequireddescription
{season}seasonyespath parameter
{season_type}season_typeyespath parameter
{group_id}group_idyespath parameter
parsednoreturn tidy rows instead of raw JSON

Returns (with { parsed: true }, via parse_items):

col_nametypedescription
$refcharacterCore v2 $ref URL to the resource

Example:

await sdv.laliga.espnLaligaSeasonGroupChildren({ season: '…', season_type: '…', group_id: '…' });
// snake_case alias (py/R parity): sdv.laliga.espn_laliga_season_group_children(...)

espnLaligaSeasonGroupTeams

LALIGA — season group teams (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/esp.1/seasons/{season}/types/{season_type}/groups/{group_id}/teams

API paramJSrequireddescription
{season}seasonyespath parameter
{season_type}season_typeyespath parameter
{group_id}group_idyespath parameter
limitlimitnoquery parameter (default 500)
parsednoreturn tidy rows instead of raw JSON

Returns (with { parsed: true }, via parse_items):

col_nametypedescription
$refcharacterCore v2 $ref URL to the resource

Example:

await sdv.laliga.espnLaligaSeasonGroupTeams({ season: '…', season_type: '…', group_id: '…' });
// snake_case alias (py/R parity): sdv.laliga.espn_laliga_season_group_teams(...)

espnLaligaSeasonGroups

LALIGA — season groups (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/esp.1/seasons/{season}/types/{season_type}/groups

API paramJSrequireddescription
{season}seasonyespath parameter
{season_type}season_typeyespath parameter
parsednoreturn tidy rows instead of raw JSON

Returns (with { parsed: true }, via parse_items):

col_nametypedescription
$refcharacterCore v2 $ref URL to the resource

Example:

await sdv.laliga.espnLaligaSeasonGroups({ season: '…', season_type: '…' });
// snake_case alias (py/R parity): sdv.laliga.espn_laliga_season_groups(...)

espnLaligaSeasonInfo

LALIGA — season info (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/esp.1/seasons/{season}

API paramJSrequireddescription
{season}seasonyespath parameter
parsednoreturn tidy rows instead of raw JSON

Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.

Example:

await sdv.laliga.espnLaligaSeasonInfo({ season: '…' });
// snake_case alias (py/R parity): sdv.laliga.espn_laliga_season_info(...)

espnLaligaSeasonPointer

LALIGA — season pointer (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/esp.1/season

API paramJSrequireddescription
parsednoreturn tidy rows instead of raw JSON

Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.

Example:

await sdv.laliga.espnLaligaSeasonPointer({});
// snake_case alias (py/R parity): sdv.laliga.espn_laliga_season_pointer(...)

espnLaligaSeasonPowerindex

LALIGA — season powerindex (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/esp.1/seasons/{season}/powerindex[/{team_id}]

API paramJSrequireddescription
{season}seasonyespath parameter
{team_id}team_idnopath parameter
parsednoreturn tidy rows instead of raw JSON

Returns (with { parsed: true }, via parse_items):

col_nametypedescription
$refcharacterCore v2 $ref URL to the resource

Example:

await sdv.laliga.espnLaligaSeasonPowerindex({ season: '…' });
// snake_case alias (py/R parity): sdv.laliga.espn_laliga_season_powerindex(...)

espnLaligaSeasonPowerindexLeaders

LALIGA — season powerindex leaders (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/esp.1/seasons/{season}/powerindex/leaders

API paramJSrequireddescription
{season}seasonyespath parameter
parsednoreturn tidy rows instead of raw JSON

Returns (with { parsed: true }, via parse_items):

col_nametypedescription
$refcharacterCore v2 $ref URL to the resource

Example:

await sdv.laliga.espnLaligaSeasonPowerindexLeaders({ season: '…' });
// snake_case alias (py/R parity): sdv.laliga.espn_laliga_season_powerindex_leaders(...)

espnLaligaSeasonTeam

LALIGA — season team (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/esp.1/seasons/{season}/teams/{team_id}

API paramJSrequireddescription
{season}seasonyespath parameter
{team_id}team_idyespath parameter
parsednoreturn tidy rows instead of raw JSON

Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.

Example:

await sdv.laliga.espnLaligaSeasonTeam({ season: '…', team_id: '…' });
// snake_case alias (py/R parity): sdv.laliga.espn_laliga_season_team(...)

espnLaligaSeasonTeams

LALIGA — season teams (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/esp.1/seasons/{season}/teams

API paramJSrequireddescription
{season}seasonyespath parameter
limitlimitnoquery parameter (default 500)
parsednoreturn tidy rows instead of raw JSON

Returns (with { parsed: true }, via parse_items):

col_nametypedescription
$refcharacterCore v2 $ref URL to the resource

Example:

await sdv.laliga.espnLaligaSeasonTeams({ season: '…' });
// snake_case alias (py/R parity): sdv.laliga.espn_laliga_season_teams(...)

espnLaligaSeasonType

LALIGA — season type (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/esp.1/seasons/{season}/types/{season_type}

API paramJSrequireddescription
{season}seasonyespath parameter
{season_type}season_typeyespath parameter
parsednoreturn tidy rows instead of raw JSON

Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.

Example:

await sdv.laliga.espnLaligaSeasonType({ season: '…', season_type: '…' });
// snake_case alias (py/R parity): sdv.laliga.espn_laliga_season_type(...)

espnLaligaSeasonTypeCorrections

LALIGA — season type corrections (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/esp.1/seasons/{season}/types/{season_type}/corrections

API paramJSrequireddescription
{season}seasonyespath parameter
{season_type}season_typeyespath parameter
parsednoreturn tidy rows instead of raw JSON

Returns (with { parsed: true }, via parse_items):

col_nametypedescription
$refcharacterCore v2 $ref URL to the resource

Example:

await sdv.laliga.espnLaligaSeasonTypeCorrections({ season: '…', season_type: '…' });
// snake_case alias (py/R parity): sdv.laliga.espn_laliga_season_type_corrections(...)

espnLaligaSeasonTypeLeaders

LALIGA — season type leaders (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/esp.1/seasons/{season}/types/{season_type}/leaders

API paramJSrequireddescription
{season}seasonyespath parameter
{season_type}season_typeyespath parameter
parsednoreturn tidy rows instead of raw JSON

Returns (with { parsed: true }, via parse_items):

col_nametypedescription
$refcharacterCore v2 $ref URL to the resource

Example:

await sdv.laliga.espnLaligaSeasonTypeLeaders({ season: '…', season_type: '…' });
// snake_case alias (py/R parity): sdv.laliga.espn_laliga_season_type_leaders(...)

espnLaligaSeasonTypes

LALIGA — season types (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/esp.1/seasons/{season}/types

API paramJSrequireddescription
{season}seasonyespath parameter
parsednoreturn tidy rows instead of raw JSON

Returns (with { parsed: true }, via parse_items):

col_nametypedescription
$refcharacterCore v2 $ref URL to the resource

Example:

await sdv.laliga.espnLaligaSeasonTypes({ season: '…' });
// snake_case alias (py/R parity): sdv.laliga.espn_laliga_season_types(...)

espnLaligaSeasonWeek

LALIGA — season week (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/esp.1/seasons/{season}/types/{season_type}/weeks/{week}

API paramJSrequireddescription
{season}seasonyespath parameter
{season_type}season_typeyespath parameter
{week}weekyespath parameter
parsednoreturn tidy rows instead of raw JSON

Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.

Example:

await sdv.laliga.espnLaligaSeasonWeek({ season: '…', season_type: '…', week: '…' });
// snake_case alias (py/R parity): sdv.laliga.espn_laliga_season_week(...)

espnLaligaSeasonWeekEvents

LALIGA — season week events (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/esp.1/seasons/{season}/types/{season_type}/weeks/{week}/events

API paramJSrequireddescription
{season}seasonyespath parameter
{season_type}season_typeyespath parameter
{week}weekyespath parameter
limitlimitnoquery parameter (default 500)
parsednoreturn tidy rows instead of raw JSON

Returns (with { parsed: true }, via parse_items):

col_nametypedescription
$refcharacterCore v2 $ref URL to the resource

Example:

await sdv.laliga.espnLaligaSeasonWeekEvents({ season: '…', season_type: '…', week: '…' });
// snake_case alias (py/R parity): sdv.laliga.espn_laliga_season_week_events(...)

espnLaligaSeasonWeeks

LALIGA — season weeks (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/esp.1/seasons/{season}/types/{season_type}/weeks

API paramJSrequireddescription
{season}seasonyespath parameter
{season_type}season_typeyespath parameter
parsednoreturn tidy rows instead of raw JSON

Returns (with { parsed: true }, via parse_items):

col_nametypedescription
$refcharacterCore v2 $ref URL to the resource

Example:

await sdv.laliga.espnLaligaSeasonWeeks({ season: '…', season_type: '…' });
// snake_case alias (py/R parity): sdv.laliga.espn_laliga_season_weeks(...)

espnLaligaSeasons

LALIGA — seasons (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/esp.1/seasons

API paramJSrequireddescription
limitlimitnoquery parameter (default 200)
parsednoreturn tidy rows instead of raw JSON

Returns (with { parsed: true }, via parse_items):

col_nametypedescription
$refcharacterCore v2 $ref URL to the resource

Example:

await sdv.laliga.espnLaligaSeasons({});
// snake_case alias (py/R parity): sdv.laliga.espn_laliga_seasons(...)

espnLaligaStandingsCore

LALIGA — standings core (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/esp.1/standings

API paramJSrequireddescription
parsednoreturn tidy rows instead of raw JSON

Returns (with { parsed: true }, via parse_standings):

col_nametypedescription
group_namecharacter
group_abbreviationcharacter
team_idcharacterESPN team id
team_namecharacter
team_abbreviationcharacterTeam abbreviation
team_display_namecharacterTeam display name
team_locationcharacter
team_logocharacter
avg_points_againstnumber
avg_points_fornumber
clincherinteger
differentialinteger
division_win_percentnumber
games_behindinteger
league_win_percentnumber
lossesinteger
playoff_seedinteger
point_differentialinteger
pointsinteger
points_againstinteger
points_forinteger
streakinteger
win_percentnumber
winsinteger
games_aheadinteger
overallcharacter
homecharacter
roadcharacter
vs_divcharacter
vs_confcharacter
last_ten_gamescharacter

Example:

await sdv.laliga.espnLaligaStandingsCore({});
// snake_case alias (py/R parity): sdv.laliga.espn_laliga_standings_core(...)

espnLaligaTalentpicks

LALIGA — talentpicks (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/esp.1/talentpicks

API paramJSrequireddescription
parsednoreturn tidy rows instead of raw JSON

Returns (with { parsed: true }, via parse_items):

col_nametypedescription
$refcharacterCore v2 $ref URL to the resource

Example:

await sdv.laliga.espnLaligaTalentpicks({});
// snake_case alias (py/R parity): sdv.laliga.espn_laliga_talentpicks(...)

espnLaligaTeamCore

LALIGA — team core (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/esp.1/teams/{team_id}

API paramJSrequireddescription
{team_id}team_idyespath parameter
parsednoreturn tidy rows instead of raw JSON

Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.

Example:

await sdv.laliga.espnLaligaTeamCore({ team_id: '…' });
// snake_case alias (py/R parity): sdv.laliga.espn_laliga_team_core(...)

espnLaligaTeamsCore

LALIGA — teams core (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/esp.1/teams

API paramJSrequireddescription
limitlimitnoquery parameter (default 500)
parsednoreturn tidy rows instead of raw JSON

Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_teams); the column set varies by league — see ESPN parsed returns.

Example:

await sdv.laliga.espnLaligaTeamsCore({});
// snake_case alias (py/R parity): sdv.laliga.espn_laliga_teams_core(...)

espnLaligaTournaments

LALIGA — tournaments (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/esp.1/tournaments

API paramJSrequireddescription
parsednoreturn tidy rows instead of raw JSON

Returns (with { parsed: true }, via parse_items):

col_nametypedescription
$refcharacterCore v2 $ref URL to the resource

Example:

await sdv.laliga.espnLaligaTournaments({});
// snake_case alias (py/R parity): sdv.laliga.espn_laliga_tournaments(...)

espnLaligaVenue

LALIGA — venue (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/esp.1/venues/{venue_id}

API paramJSrequireddescription
{venue_id}venue_idyespath parameter
parsednoreturn tidy rows instead of raw JSON

Returns: raw ESPN Dict by default. With { parsed: true } the payload is routed through its parser (parse_single_entity); the column set varies by league — see ESPN parsed returns.

Example:

await sdv.laliga.espnLaligaVenue({ venue_id: '…' });
// snake_case alias (py/R parity): sdv.laliga.espn_laliga_venue(...)

espnLaligaVenues

LALIGA — venues (ESPN sports.core.api.espn.com (core v2)).

Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/soccer/leagues/esp.1/venues

API paramJSrequireddescription
limitlimitnoquery parameter (default 200)
parsednoreturn tidy rows instead of raw JSON

Returns (with { parsed: true }, via parse_items):

col_nametypedescription
$refcharacterCore v2 $ref URL to the resource

Example:

await sdv.laliga.espnLaligaVenues({});
// snake_case alias (py/R parity): sdv.laliga.espn_laliga_venues(...)